using FluentValidation;

namespace Indotalent.Features.Inventory.TransferIn.Cqrs;

public class UpdateTransferInValidator : AbstractValidator<UpdateTransferInRequest>
{
    public UpdateTransferInValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.TransferReceiveDate).NotEmpty().WithMessage("Receive Date is required");
        RuleFor(x => x.TransferOutId).NotEmpty().WithMessage("Transfer Out reference is required");
    }
}